diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.32/src/lte/model/lte-ue-rrc.cc ns-3.33/src/lte/model/lte-ue-rrc.cc
--- ns-3.32/src/lte/model/lte-ue-rrc.cc	2020-10-06 15:35:43.000000000 -0700
+++ ns-3.33/src/lte/model/lte-ue-rrc.cc	2021-01-09 10:19:22.000000000 -0800
@@ -2351,98 +2229,285 @@
                   default:
                     NS_FATAL_ERROR ("unsupported triggerQuantity");
                     break;
-                  }
+                }
 
-                bool hasTriggered = isMeasIdInReportList
-                  && (measReportIt->second.cellsTriggeredList.find (cellId)
-                      != measReportIt->second.cellsTriggeredList.end ());
-
-                // Inequality A5-2 (Entering condition 2): Mn + Ofn + Ocn - Hys > Thresh2
-
-                entryCond = mn + ofn + ocn - hys > thresh2;
-
-                if (entryCond)
-                  {
-                    if (!hasTriggered)
-                      {
-                        concernedCellsEntry.push_back (cellId);
-                        eventEntryCondApplicable = true;
-                      }
-                  }
-                else if (reportConfigEutra.timeToTrigger > 0)
-                  {
-                    CancelEnteringTrigger (measId, cellId);
-                  }
-
-                NS_LOG_LOGIC (this << " event A5: neighbor cell " << cellId
-                                   << " mn=" << mn << " mp=" << mp
-                                   << " thresh2=" << thresh2
-                                   << " thresh1=" << thresh1
-                                   << " entryCond=" << entryCond);
+              bool hasTriggered = isMeasIdInReportList
+                && (measReportIt->second.cellsTriggeredList.find (cellId)
+                    != measReportIt->second.cellsTriggeredList.end ());
 
-              } // end of for (storedMeasIt)
+              // Inequality A4-1 (Entering condition): Mn + Ofn + Ocn - Hys > Thresh
+              bool entryCond = mn + ofn + ocn - hys > thresh;
 
-          } // end of if (entryCond)
-        else
-          {
-            NS_LOG_LOGIC (this << " event A5: serving cell " << m_cellId
-                               << " mp=" << mp << " thresh1=" << thresh1
-                               << " entryCond=" << entryCond);
+              if (entryCond)
+                {
+                  if (!hasTriggered)
+                    {
+                      concernedCellsEntry.push_back (cellId);
+                      eventEntryCondApplicable = true;
+                    }
+                }
+              else if (reportConfigEutra.timeToTrigger > 0)
+                {
+                  CancelEnteringTrigger (measId, cellId);
+                }
 
-            if (reportConfigEutra.timeToTrigger > 0)
-              {
-                CancelEnteringTrigger (measId);
-              }
-          }
+              // Inequality A4-2 (Leaving condition): Mn + Ofn + Ocn + Hys < Thresh
+              bool leavingCond = mn + ofn + ocn + hys < thresh;
 
-        if (isMeasIdInReportList)
-          {
-            // Inequality A5-3 (Leaving condition 1): Mp - Hys > Thresh1
-            bool leavingCond = mp - hys > thresh1;
+              if (leavingCond)
+                {
+                  if (hasTriggered)
+                    {
+                      concernedCellsLeaving.push_back (cellId);
+                      eventLeavingCondApplicable = true;
+                    }
+                }
+              else if (reportConfigEutra.timeToTrigger > 0)
+                {
+                  CancelLeavingTrigger (measId, cellId);
+                }
 
-            if (leavingCond)
-              {
-                if (reportConfigEutra.timeToTrigger == 0)
-                  {
-                    // leaving condition #2 does not have to be checked
-
-                    for (std::map<uint16_t, MeasValues>::iterator storedMeasIt = m_storedMeasValues.begin ();
-                         storedMeasIt != m_storedMeasValues.end ();
-                         ++storedMeasIt)
-                      {
-                        uint16_t cellId = storedMeasIt->first;
-                        if (cellId == m_cellId)
-                          {
-                            continue;
-                          }
-
-                        if (measReportIt->second.cellsTriggeredList.find (cellId)
-                            != measReportIt->second.cellsTriggeredList.end ())
-                          {
-                            concernedCellsLeaving.push_back (cellId);
-                            eventLeavingCondApplicable = true;
-                          }
-                      }
-                  } // end of if (reportConfigEutra.timeToTrigger == 0)
-                else
-                  {
-                    // leaving condition #2 has to be checked to cancel time-to-trigger
-
-                    for (std::map<uint16_t, MeasValues>::iterator storedMeasIt = m_storedMeasValues.begin ();
-                         storedMeasIt != m_storedMeasValues.end ();
-                         ++storedMeasIt)
-                      {
-                        uint16_t cellId = storedMeasIt->first;
-                        if (cellId == m_cellId)
-                          {
-                            continue;
-                          }
-
-                        if (measReportIt->second.cellsTriggeredList.find (cellId)
-                            != measReportIt->second.cellsTriggeredList.end ())
-                          {
-                            switch (reportConfigEutra.triggerQuantity)
-                              {
+              NS_LOG_LOGIC (this << " event A4: neighbor cell " << cellId
+                                 << " mn=" << mn << " thresh=" << thresh
+                                 << " entryCond=" << entryCond
+                                 << " leavingCond=" << leavingCond);
+
+            } // end of for (storedMeasIt)
+
+        } // end of case LteRrcSap::ReportConfigEutra::EVENT_A4
+
+        break;
+
+      case LteRrcSap::ReportConfigEutra::EVENT_A5:
+        {
+          /*
+           * Event A5 (PCell becomes worse than threshold1 and neighbour
+           * becomes better than threshold2)
+           * Please refer to 3GPP TS 36.331 Section 5.5.4.6
+           */
+
+          double mp; // Mp, the measurement result of the PCell
+          double mn; // Mn, the measurement result of the neighbouring cell
+          double ofn = measObjectEutra.offsetFreq; // Ofn, the frequency specific offset of the frequency of the
+          double ocn = 0.0; // Ocn, the cell specific offset of the neighbour cell
+          double thresh1; // Thresh1, the threshold parameter for this event
+          double thresh2; // Thresh2, the threshold parameter for this event
+          // Hys, the hysteresis parameter for this event.
+          double hys = EutranMeasurementMapping::IeValue2ActualHysteresis (reportConfigEutra.hysteresis);
+
+          switch (reportConfigEutra.triggerQuantity)
+            {
+              case LteRrcSap::ReportConfigEutra::RSRP:
+                mp = m_storedMeasValues[m_cellId].rsrp;
+                NS_ASSERT (reportConfigEutra.threshold1.choice
+                           == LteRrcSap::ThresholdEutra::THRESHOLD_RSRP);
+                NS_ASSERT (reportConfigEutra.threshold2.choice
+                           == LteRrcSap::ThresholdEutra::THRESHOLD_RSRP);
+                thresh1 = EutranMeasurementMapping::RsrpRange2Dbm (reportConfigEutra.threshold1.range);
+                thresh2 = EutranMeasurementMapping::RsrpRange2Dbm (reportConfigEutra.threshold2.range);
+                break;
+              case LteRrcSap::ReportConfigEutra::RSRQ:
+                mp = m_storedMeasValues[m_cellId].rsrq;
+                NS_ASSERT (reportConfigEutra.threshold1.choice
+                           == LteRrcSap::ThresholdEutra::THRESHOLD_RSRQ);
+                NS_ASSERT (reportConfigEutra.threshold2.choice
+                           == LteRrcSap::ThresholdEutra::THRESHOLD_RSRQ);
+                thresh1 = EutranMeasurementMapping::RsrqRange2Db (reportConfigEutra.threshold1.range);
+                thresh2 = EutranMeasurementMapping::RsrqRange2Db (reportConfigEutra.threshold2.range);
+                break;
+              default:
+                NS_FATAL_ERROR ("unsupported triggerQuantity");
+                break;
+            }
+
+          // Inequality A5-1 (Entering condition 1): Mp + Hys < Thresh1
+          bool entryCond = mp + hys < thresh1;
+
+          if (entryCond)
+            {
+              for (std::map<uint16_t, MeasValues>::iterator storedMeasIt = m_storedMeasValues.begin ();
+                   storedMeasIt != m_storedMeasValues.end ();
+                   ++storedMeasIt)
+                {
+                  uint16_t cellId = storedMeasIt->first;
+                  if (cellId == m_cellId)
+                    {
+                      continue;
+                    }
+
+                  switch (reportConfigEutra.triggerQuantity)
+                    {
+                      case LteRrcSap::ReportConfigEutra::RSRP:
+                        mn = storedMeasIt->second.rsrp;
+                        break;
+                      case LteRrcSap::ReportConfigEutra::RSRQ:
+                        mn = storedMeasIt->second.rsrq;
+                        break;
+                      default:
+                        NS_FATAL_ERROR ("unsupported triggerQuantity");
+                        break;
+                    }
+
+                  bool hasTriggered = isMeasIdInReportList
+                    && (measReportIt->second.cellsTriggeredList.find (cellId)
+                        != measReportIt->second.cellsTriggeredList.end ());
+
+                  // Inequality A5-2 (Entering condition 2): Mn + Ofn + Ocn - Hys > Thresh2
+
+                  entryCond = mn + ofn + ocn - hys > thresh2;
+
+                  if (entryCond)
+                    {
+                      if (!hasTriggered)
+                        {
+                          concernedCellsEntry.push_back (cellId);
+                          eventEntryCondApplicable = true;
+                        }
+                    }
+                  else if (reportConfigEutra.timeToTrigger > 0)
+                    {
+                      CancelEnteringTrigger (measId, cellId);
+                    }
+
+                  NS_LOG_LOGIC (this << " event A5: neighbor cell " << cellId
+                                     << " mn=" << mn << " mp=" << mp
+                                     << " thresh2=" << thresh2
+                                     << " thresh1=" << thresh1
+                                     << " entryCond=" << entryCond);
+
+                } // end of for (storedMeasIt)
+
+            } // end of if (entryCond)
+          else
+            {
+              NS_LOG_LOGIC (this << " event A5: serving cell " << m_cellId
+                                 << " mp=" << mp << " thresh1=" << thresh1
+                                 << " entryCond=" << entryCond);
+
+              if (reportConfigEutra.timeToTrigger > 0)
+                {
+                  CancelEnteringTrigger (measId);
+                }
+            }
+
+          if (isMeasIdInReportList)
+            {
+              // Inequality A5-3 (Leaving condition 1): Mp - Hys > Thresh1
+              bool leavingCond = mp - hys > thresh1;
+
+              if (leavingCond)
+                {
+                  if (reportConfigEutra.timeToTrigger == 0)
+                    {
+                      // leaving condition #2 does not have to be checked
+
+                      for (std::map<uint16_t, MeasValues>::iterator storedMeasIt = m_storedMeasValues.begin ();
+                           storedMeasIt != m_storedMeasValues.end ();
+                           ++storedMeasIt)
+                        {
+                          uint16_t cellId = storedMeasIt->first;
+                          if (cellId == m_cellId)
+                            {
+                              continue;
+                            }
+
+                          if (measReportIt->second.cellsTriggeredList.find (cellId)
+                              != measReportIt->second.cellsTriggeredList.end ())
+                            {
+                              concernedCellsLeaving.push_back (cellId);
+                              eventLeavingCondApplicable = true;
+                            }
+                        }
+                    } // end of if (reportConfigEutra.timeToTrigger == 0)
+                  else
+                    {
+                      // leaving condition #2 has to be checked to cancel time-to-trigger
+
+                      for (std::map<uint16_t, MeasValues>::iterator storedMeasIt = m_storedMeasValues.begin ();
+                           storedMeasIt != m_storedMeasValues.end ();
+                           ++storedMeasIt)
+                        {
+                          uint16_t cellId = storedMeasIt->first;
+                          if (cellId == m_cellId)
+                            {
+                              continue;
+                            }
+
+                          if (measReportIt->second.cellsTriggeredList.find (cellId)
+                              != measReportIt->second.cellsTriggeredList.end ())
+                            {
+                              switch (reportConfigEutra.triggerQuantity)
+                                {
+                                  case LteRrcSap::ReportConfigEutra::RSRP:
+                                    mn = storedMeasIt->second.rsrp;
+                                    break;
+                                  case LteRrcSap::ReportConfigEutra::RSRQ:
+                                    mn = storedMeasIt->second.rsrq;
+                                    break;
+                                  default:
+                                    NS_FATAL_ERROR ("unsupported triggerQuantity");
+                                    break;
+                                }
+
+                              // Inequality A5-4 (Leaving condition 2): Mn + Ofn + Ocn + Hys < Thresh2
+
+                              leavingCond = mn + ofn + ocn + hys < thresh2;
+
+                              if (!leavingCond)
+                                {
+                                  CancelLeavingTrigger (measId, cellId);
+                                }
+
+                              /*
+                               * Whatever the result of leaving condition #2, this
+                               * cell is still "in", because leaving condition #1
+                               * is already true.
+                               */
+                              concernedCellsLeaving.push_back (cellId);
+                              eventLeavingCondApplicable = true;
+
+                              NS_LOG_LOGIC (this << " event A5: neighbor cell " << cellId
+                                                 << " mn=" << mn << " mp=" << mp
+                                                 << " thresh2=" << thresh2
+                                                 << " thresh1=" << thresh1
+                                                 << " leavingCond=" << leavingCond);
+
+                            } // end of if (measReportIt->second.cellsTriggeredList.find (cellId)
+                              //            != measReportIt->second.cellsTriggeredList.end ())
+
+                        } // end of for (storedMeasIt)
+
+                    } // end of else of if (reportConfigEutra.timeToTrigger == 0)
+
+                  NS_LOG_LOGIC (this << " event A5: serving cell " << m_cellId
+                                     << " mp=" << mp << " thresh1=" << thresh1
+                                     << " leavingCond=" << leavingCond);
+
+                } // end of if (leavingCond)
+              else
+                {
+                  if (reportConfigEutra.timeToTrigger > 0)
+                    {
+                      CancelLeavingTrigger (measId);
+                    }
+
+                  // check leaving condition #2
+
+                  for (std::map<uint16_t, MeasValues>::iterator storedMeasIt = m_storedMeasValues.begin ();
+                       storedMeasIt != m_storedMeasValues.end ();
+                       ++storedMeasIt)
+                    {
+                      uint16_t cellId = storedMeasIt->first;
+                      if (cellId == m_cellId)
+                        {
+                          continue;
+                        }
+
+                      if (measReportIt->second.cellsTriggeredList.find (cellId)
+                          != measReportIt->second.cellsTriggeredList.end ())
+                        {
+                          switch (reportConfigEutra.triggerQuantity)
+                            {
                               case LteRrcSap::ReportConfigEutra::RSRP:
                                 mn = storedMeasIt->second.rsrp;
                                 break;
@@ -2452,109 +2517,39 @@
                               default:
                                 NS_FATAL_ERROR ("unsupported triggerQuantity");
                                 break;
-                              }
+                            }
 
-                            // Inequality A5-4 (Leaving condition 2): Mn + Ofn + Ocn + Hys < Thresh2
+                          // Inequality A5-4 (Leaving condition 2): Mn + Ofn + Ocn + Hys < Thresh2
+                          leavingCond = mn + ofn + ocn + hys < thresh2;
 
-                            leavingCond = mn + ofn + ocn + hys < thresh2;
+                          if (leavingCond)
+                            {
+                              concernedCellsLeaving.push_back (cellId);
+                              eventLeavingCondApplicable = true;
+                            }
 
-                            if (!leavingCond)
-                              {
-                                CancelLeavingTrigger (measId, cellId);
-                              }
+                          NS_LOG_LOGIC (this << " event A5: neighbor cell " << cellId
+                                             << " mn=" << mn << " mp=" << mp
+                                             << " thresh2=" << thresh2
+                                             << " thresh1=" << thresh1
+                                             << " leavingCond=" << leavingCond);
 
-                            /*
-                             * Whatever the result of leaving condition #2, this
-                             * cell is still "in", because leaving condition #1
-                             * is already true.
-                             */
-                            concernedCellsLeaving.push_back (cellId);
-                            eventLeavingCondApplicable = true;
+                        } // end of if (measReportIt->second.cellsTriggeredList.find (cellId)
+                          //            != measReportIt->second.cellsTriggeredList.end ())
 
-                            NS_LOG_LOGIC (this << " event A5: neighbor cell " << cellId
-                                               << " mn=" << mn << " mp=" << mp
-                                               << " thresh2=" << thresh2
-                                               << " thresh1=" << thresh1
-                                               << " leavingCond=" << leavingCond);
+                    } // end of for (storedMeasIt)
 
-                          } // end of if (measReportIt->second.cellsTriggeredList.find (cellId)
-                            //            != measReportIt->second.cellsTriggeredList.end ())
+                } // end of else of if (leavingCond)
 
-                      } // end of for (storedMeasIt)
+            } // end of if (isMeasIdInReportList)
 
-                  } // end of else of if (reportConfigEutra.timeToTrigger == 0)
+        } // end of case LteRrcSap::ReportConfigEutra::EVENT_A5
 
-                NS_LOG_LOGIC (this << " event A5: serving cell " << m_cellId
-                                   << " mp=" << mp << " thresh1=" << thresh1
-                                   << " leavingCond=" << leavingCond);
+        break;
 
-              } // end of if (leavingCond)
-            else
-              {
-                if (reportConfigEutra.timeToTrigger > 0)
-                  {
-                    CancelLeavingTrigger (measId);
-                  }
-
-                // check leaving condition #2
-
-                for (std::map<uint16_t, MeasValues>::iterator storedMeasIt = m_storedMeasValues.begin ();
-                     storedMeasIt != m_storedMeasValues.end ();
-                     ++storedMeasIt)
-                  {
-                    uint16_t cellId = storedMeasIt->first;
-                    if (cellId == m_cellId)
-                      {
-                        continue;
-                      }
-
-                    if (measReportIt->second.cellsTriggeredList.find (cellId)
-                        != measReportIt->second.cellsTriggeredList.end ())
-                      {
-                        switch (reportConfigEutra.triggerQuantity)
-                          {
-                          case LteRrcSap::ReportConfigEutra::RSRP:
-                            mn = storedMeasIt->second.rsrp;
-                            break;
-                          case LteRrcSap::ReportConfigEutra::RSRQ:
-                            mn = storedMeasIt->second.rsrq;
-                            break;
-                          default:
-                            NS_FATAL_ERROR ("unsupported triggerQuantity");
-                            break;
-                          }
-
-                        // Inequality A5-4 (Leaving condition 2): Mn + Ofn + Ocn + Hys < Thresh2
-                        leavingCond = mn + ofn + ocn + hys < thresh2;
-
-                        if (leavingCond)
-                          {
-                            concernedCellsLeaving.push_back (cellId);
-                            eventLeavingCondApplicable = true;
-                          }
-
-                        NS_LOG_LOGIC (this << " event A5: neighbor cell " << cellId
-                                           << " mn=" << mn << " mp=" << mp
-                                           << " thresh2=" << thresh2
-                                           << " thresh1=" << thresh1
-                                           << " leavingCond=" << leavingCond);
-
-                      } // end of if (measReportIt->second.cellsTriggeredList.find (cellId)
-                        //            != measReportIt->second.cellsTriggeredList.end ())
-
-                  } // end of for (storedMeasIt)
-
-              } // end of else of if (leavingCond)
-
-          } // end of if (isMeasIdInReportList)
-
-      } // end of case LteRrcSap::ReportConfigEutra::EVENT_A5
-
-      break;
-
-    default:
-      NS_FATAL_ERROR ("unsupported eventId " << reportConfigEutra.eventId);
-      break;
+      default:
+        NS_FATAL_ERROR ("unsupported eventId " << reportConfigEutra.eventId);
+        break;
 
     } // switch (event type)
 
@@ -2748,7 +2743,7 @@
       r.measId = measId;
       std::pair<uint8_t, VarMeasReport> val (measId, r);
       std::pair<std::map<uint8_t, VarMeasReport>::iterator, bool>
-        ret = m_varMeasReportList.insert (val);
+      ret = m_varMeasReportList.insert (val);
       NS_ASSERT_MSG (ret.second == true, "element already existed");
       measReportIt = ret.first;
     }
@@ -2885,17 +2880,17 @@
   CancelLeavingTrigger (measId);
 }
 
-void 
+void
 LteUeRrc::SendMeasurementReport (uint8_t measId)
 {
   NS_LOG_FUNCTION (this << (uint16_t) measId);
   //  3GPP TS 36.331 section 5.5.5 Measurement reporting
 
-  std::map<uint8_t, LteRrcSap::MeasIdToAddMod>::iterator 
+  std::map<uint8_t, LteRrcSap::MeasIdToAddMod>::iterator
     measIdIt = m_varMeasConfig.measIdList.find (measId);
   NS_ASSERT (measIdIt != m_varMeasConfig.measIdList.end ());
 
-  std::map<uint8_t, LteRrcSap::ReportConfigToAddMod>::iterator 
+  std::map<uint8_t, LteRrcSap::ReportConfigToAddMod>::iterator
     reportConfigIt = m_varMeasConfig.reportConfigList.find (measIdIt->second.reportConfigId);
   NS_ASSERT (reportConfigIt != m_varMeasConfig.reportConfigList.end ());
   LteRrcSap::ReportConfigEutra& reportConfigEutra = reportConfigIt->second.reportConfigEutra;
@@ -2933,15 +2928,15 @@
                   double triggerValue;
                   switch (reportConfigEutra.triggerQuantity)
                     {
-                    case LteRrcSap::ReportConfigEutra::RSRP:
-                      triggerValue = neighborMeasIt->second.rsrp;
-                      break;
-                    case LteRrcSap::ReportConfigEutra::RSRQ:
-                      triggerValue = neighborMeasIt->second.rsrq;
-                      break;
-                    default:
-                      NS_FATAL_ERROR ("unsupported triggerQuantity");
-                      break;
+                      case LteRrcSap::ReportConfigEutra::RSRP:
+                        triggerValue = neighborMeasIt->second.rsrp;
+                        break;
+                      case LteRrcSap::ReportConfigEutra::RSRQ:
+                        triggerValue = neighborMeasIt->second.rsrq;
+                        break;
+                      default:
+                        NS_FATAL_ERROR ("unsupported triggerQuantity");
+                        break;
                     }
                   sortedNeighCells.insert (std::pair<double, uint16_t> (triggerValue, cellId));
                 }
@@ -2963,7 +2958,7 @@
               measResultEutra.rsrpResult = EutranMeasurementMapping::Dbm2RsrpRange (neighborMeasIt->second.rsrp);
               measResultEutra.haveRsrqResult = true;
               measResultEutra.rsrqResult = EutranMeasurementMapping::Db2RsrqRange (neighborMeasIt->second.rsrq);
-              NS_LOG_INFO (this << " reporting neighbor cell " << (uint32_t) measResultEutra.physCellId 
+              NS_LOG_INFO (this << " reporting neighbor cell " << (uint32_t) measResultEutra.physCellId
                                 << " RSRP " << (uint32_t) measResultEutra.rsrpResult
                                 << " (" << neighborMeasIt->second.rsrp << " dBm)"
                                 << " RSRQ " << (uint32_t) measResultEutra.rsrqResult
@@ -2986,7 +2981,7 @@
           measResults.measScellResultList.haveMeasurementResultsNeighCell = false;
 
 
-          for ( sCellsMeasIt = m_storedScellMeasValues.begin (); 
+          for ( sCellsMeasIt = m_storedScellMeasValues.begin ();
                 sCellsMeasIt != m_storedScellMeasValues.end (); ++sCellsMeasIt)
             {
               LteRrcSap::MeasResultScell measResultScell;
@@ -2994,7 +2989,7 @@
               measResultScell.haveRsrpResult =  true;
               measResultScell.haveRsrqResult =  true;
               measResultScell.rsrpResult = EutranMeasurementMapping::Dbm2RsrpRange (sCellsMeasIt->second.rsrp);
-              measResultScell.rsrqResult = EutranMeasurementMapping::Db2RsrqRange (sCellsMeasIt->second.rsrq); 
+              measResultScell.rsrqResult = EutranMeasurementMapping::Db2RsrqRange (sCellsMeasIt->second.rsrq);
               measResults.measScellResultList.measResultScell.push_back (measResultScell);
             }
         }
@@ -3010,62 +3005,62 @@
       Time reportInterval;
       switch (reportConfigEutra.reportInterval)
         {
-        case LteRrcSap::ReportConfigEutra::MS120:
-          reportInterval = MilliSeconds (120);
-          break;
-        case LteRrcSap::ReportConfigEutra::MS240:
-          reportInterval = MilliSeconds (240);
-          break;
-        case LteRrcSap::ReportConfigEutra::MS480:
-          reportInterval = MilliSeconds (480);
-          break;
-        case LteRrcSap::ReportConfigEutra::MS640:
-          reportInterval = MilliSeconds (640);
-          break;
-        case LteRrcSap::ReportConfigEutra::MS1024:
-          reportInterval = MilliSeconds (1024);
-          break;
-        case LteRrcSap::ReportConfigEutra::MS2048:
-          reportInterval = MilliSeconds (2048);
-          break;
-        case LteRrcSap::ReportConfigEutra::MS5120:
-          reportInterval = MilliSeconds (5120);
-          break;
-        case LteRrcSap::ReportConfigEutra::MS10240:
-          reportInterval = MilliSeconds (10240);
-          break;
-        case LteRrcSap::ReportConfigEutra::MIN1:
-          reportInterval = Seconds (60);
-          break;
-        case LteRrcSap::ReportConfigEutra::MIN6:
-          reportInterval = Seconds (360);
-          break;
-        case LteRrcSap::ReportConfigEutra::MIN12:
-          reportInterval = Seconds (720);
-          break;
-        case LteRrcSap::ReportConfigEutra::MIN30:
-          reportInterval = Seconds (1800);
-          break;
-        case LteRrcSap::ReportConfigEutra::MIN60:
-          reportInterval = Seconds (3600);
-          break;
-        default:
-          NS_FATAL_ERROR ("Unsupported reportInterval " << (uint16_t) reportConfigEutra.reportInterval);
-          break;
+          case LteRrcSap::ReportConfigEutra::MS120:
+            reportInterval = MilliSeconds (120);
+            break;
+          case LteRrcSap::ReportConfigEutra::MS240:
+            reportInterval = MilliSeconds (240);
+            break;
+          case LteRrcSap::ReportConfigEutra::MS480:
+            reportInterval = MilliSeconds (480);
+            break;
+          case LteRrcSap::ReportConfigEutra::MS640:
+            reportInterval = MilliSeconds (640);
+            break;
+          case LteRrcSap::ReportConfigEutra::MS1024:
+            reportInterval = MilliSeconds (1024);
+            break;
+          case LteRrcSap::ReportConfigEutra::MS2048:
+            reportInterval = MilliSeconds (2048);
+            break;
+          case LteRrcSap::ReportConfigEutra::MS5120:
+            reportInterval = MilliSeconds (5120);
+            break;
+          case LteRrcSap::ReportConfigEutra::MS10240:
+            reportInterval = MilliSeconds (10240);
+            break;
+          case LteRrcSap::ReportConfigEutra::MIN1:
+            reportInterval = Seconds (60);
+            break;
+          case LteRrcSap::ReportConfigEutra::MIN6:
+            reportInterval = Seconds (360);
+            break;
+          case LteRrcSap::ReportConfigEutra::MIN12:
+            reportInterval = Seconds (720);
+            break;
+          case LteRrcSap::ReportConfigEutra::MIN30:
+            reportInterval = Seconds (1800);
+            break;
+          case LteRrcSap::ReportConfigEutra::MIN60:
+            reportInterval = Seconds (3600);
+            break;
+          default:
+            NS_FATAL_ERROR ("Unsupported reportInterval " << (uint16_t) reportConfigEutra.reportInterval);
+            break;
         }
 
       // schedule the next measurement reporting
-      measReportIt->second.periodicReportTimer 
+      measReportIt->second.periodicReportTimer
         = Simulator::Schedule (reportInterval,
                                &LteUeRrc::SendMeasurementReport,
                                this, measId);
 
       // send the measurement report to eNodeB
       m_rrcSapUser->SendMeasurementReport (measurementReport);
-    } 
+    }
 }
 
-void 
+void
 LteUeRrc::StartConnection ()
 {
   NS_LOG_FUNCTION (this << m_imsi);
@@ -3076,7 +3071,7 @@
   m_cmacSapProvider.at (0)->StartContentionBasedRandomAccessProcedure ();
 }
 
-void 
+void
 LteUeRrc::LeaveConnectedMode ()
 {
   NS_LOG_FUNCTION (this << m_imsi);
